set project_folder_name MiV_BaseDesign
set project_dir "./$project_folder_name"
set Libero_project_name MiV_BaseDesign

set toplevel TOP

puts "-------------------------------------------------------------------------"
puts "-----------------------CREATING NEW PROJECT------------------------------"
puts "-------------------------------------------------------------------------"

new_project -location $project_dir -name $Libero_project_name -project_description {} -block_mode 0 -standalone_peripheral_initialization 0 -instantiate_in_smartdesign 1 \
-ondemand_build_dh 1 -use_relative_path 0 -linked_files_root_dir_env {} -hdl {VHDL} -family {IGLOO2} -die {M2GL010} -package {400 VF} -speed {STD} \
-die_voltage {1.2} -part_range {COM} -adv_options {DSW_VCCA_VOLTAGE_RAMP_RATE:100_MS} -adv_options {IO_DEFT_STD:LVCMOS 3.3V} \
-adv_options {PLL_SUPPLY:PLL_SUPPLY_33} -adv_options {RESTRICTPROBEPINS:1} -adv_options {RESTRICTSPIPINS:0} -adv_options {SYSTEM_CONTROLLER_SUSPEND_MODE:0} \
-adv_options {TEMPR:COM} -adv_options {VCCI_1.2_VOLTR:COM} -adv_options {VCCI_1.5_VOLTR:COM} -adv_options {VCCI_1.8_VOLTR:COM} -adv_options {VCCI_2.5_VOLTR:COM} \
-adv_options {VCCI_3.3_VOLTR:COM} -adv_options {VOLTR:COM} 

puts "-------------------------------------------------------------------------"
puts "-----------------------IMPORTING COMPONENTS------------------------------"
puts "-------------------------------------------------------------------------"

source components/COREAHBLSRAM_C0.tcl 
source components/COREJTAGDEBUG_C0.tcl 
source components/CoreGPIO_C0.tcl 
source components/MIV_RV32IMC_C0.tcl 
source components/OSC_C0.tcl 
source components/TOP.tcl 
build_design_hierarchy

set_root $toplevel

puts "-------------------------------------------------------------------------"
puts "--------------------APPLYING DESIGN CONSTRAINTS--------------------------"
puts "-------------------------------------------------------------------------"

import_files -io_pdc ./constraints/io/SMF2000_IO.pdc

# Associate SDC constraint file to Place and Route tool
organize_tool_files -tool {PLACEROUTE} \
    -file $project_dir/constraint/io/SMF2000_IO.pdc \
    -module $toplevel -input_type {constraint}

run_tool -name {CONSTRAINT_MANAGEMENT}
derive_constraints_sdc 
